Subject: Re: [bug#40468] [PATCH 3/3] gnu: Add shiru-lv2.

From: Leo Famulari <[email-masked]>
Date: Wed, 8 Apr 2020 11:41:55 -0400

On Tue, Apr 07, 2020 at 09:04:40PM +0100, Alexandros Theodotou wrote:
> This is supposed to be merged after those changes. The first patch
> (40466) changes the install procedure in dragonfly-reverb, which is
> inherited here.

In general, I think that using syntactic inheritance to factorize build
phases is not the right way to go here. It can cause a big headache
later when the time comes to adjust things, and it removes the
advantages of Guix tools such as `guix graph` and `guix refresh`.

I think the better options are to create a new lv2-build-system that
inherits from gnu-build-system and replaces the install phase, or to
just copy and paste the code around. It depends on how many of these
packages we plan to add.

Let me know if you need help with any of that! The font-build-system is
a concise example of making a new build system based on the
gnu-build-system.